
!FlapTab class methodsFor: '*ma-serializer-squeak-core' stamp: 'cmm 5/2/2005 10:15'!
maMaterializeFromGraph: aByteArray using: aMaObjectSerializer
	"This method exists to mirror the logic in my instance-side #objectForDataStream, whereby if the FlapTab being stored is a global flap (i.e., present in all Projects), a DiskProxy is stored instead.  For Ma object serialization, this was done on my instance-side in #maAsStorageObject.  If I was not stored as the DiskProxy, then I would not get to this method."

	| diskProxy |
	diskProxy := aMaObjectSerializer materializeGraph: aByteArray.
	^ diskProxy comeFullyUpOnReload: nil! !

!FlapTab methodsFor: '*ma-serializer-squeak-core' stamp: 'cmm 2/4/2005 12:47'!
maAsStorageObject
	"Emulating the behavior of #objectForDataStream:."
	^ self isGlobalFlap
		ifTrue:
			[ DiskProxy
				global: #Flaps selector: #globalFlapTabOrDummy: 
				args: {self flapID} ]
		ifFalse: [ self ]! !

!FlapTab methodsFor: '*ma-serializer-squeak-core' stamp: 'cmm 2/4/2005 12:47'!
maUsesStandardStorage
	^ self isGlobalFlap not! !
